<?php  
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
		'priority' =>20
	)
);

backgroundManager($wp_customize, 'con_us', 'luzuk_premium_contactus_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'allcontact_titlelable', 'luzuk_premium_contactus_section', 'Contact Page Heading');

$wp_customize->add_setting(
	'contactpage_mainsubtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Lorem Ipsum dolor', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contactpage_mainsubtitle',
	array(
		'settings'      => 'contactpage_mainsubtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Page Sub Heading', 'Luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_subtitleColor', 'luzuk_premium_contactus_section', 'Contact Page Sub Heading Color', '#8c8b93');

$wp_customize->add_setting(
	'contactpage_maintitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'GET IN TOUCH', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contactpage_maintitle',
	array(
		'settings'      => 'contactpage_maintitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Page Heading', 'Luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_headingColor', 'luzuk_premium_contactus_section', 'Contact Page Heading Color', '#202020');

addColorPalatOption($wp_customize, 'luzuk_contactus_headingborderColor', 'luzuk_premium_contactus_section', 'Contact Page Heading Border Color', '#d9d9d9');

$wp_customize->add_setting(
	'contactpage_text',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse purus lacus, maximus eu rhoncus eu, blandit vitae elit.', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contactpage_text',
	array(
		'settings'      => 'contactpage_text',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Page Text', 'Luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_textColor', 'luzuk_premium_contactus_section', 'Contact Page Text Color', '#8c8b93');

lzCustomLable($wp_customize, 'contactus_Form_label', 'luzuk_premium_contactus_section', 'Form Block Setting');

lzAddElement($wp_customize, 'luzuk_contactus_shortcode', 'luzuk_premium_contactus_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

lzCustomLable($wp_customize, 'contactus_form_clr', 'luzuk_premium_contactus_section', 'Contact Form Color Setting');

//Form Label color
addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#646464');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text and Placeholder Color', '#746c64');

//Form border bottom color
addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form BG Color', '#f3f3f3');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderClr', 'luzuk_premium_contactus_section', 'Form Border Color', '#e4e2e2');

//Button color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#0797ea');

//Button bg color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#0797ea');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'allcontact_rightboximage', 'luzuk_premium_contactus_section', 'Contact Form Right Image');

$wp_customize->add_setting(
        'contact_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'contact_image',
            array(
                'section' => 'luzuk_premium_contactus_section',
                'settings' => 'contact_image',
                'description' => __('Recommended Image Size: 545X620px', 'luzuk-premium')
            )
        )
    );

lzCustomLable($wp_customize, 'allcontact_rightbox', 'luzuk_premium_contactus_section', 'Contact Page Right Side Box Setting');

$wp_customize->add_setting(
	'contact_detail',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONTACT DETAILS' )
	)
);
$wp_customize->add_control(
	'contact_detail',
	array(
		'settings'      => 'contact_detail',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Right Box Heading', 'Luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_boxheadingColor', 'luzuk_premium_contactus_section', 'Contact Right Box Heading Color', '#fff');

lzAddElement($wp_customize, 'luzuk_contactus_phone', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone Number", 'luzuk_sanitize_text', '+123 456 7890');

lzAddElement($wp_customize, 'luzuk_contactus_email', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email", 'luzuk_sanitize_text', 'info@example.com');

lzAddElement($wp_customize, 'luzuk_contactus_address', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line One", 'luzuk_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'luzuk_contactus_address', 'luzuk_premium_contactus_section', 'textarea', $label="Contact Us Address", 'luzuk_sanitize_text', '18 McGee Road,');

lzAddElement($wp_customize, 'luzuk_contactus_clock', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Time", 'luzuk_sanitize_text', 'Mon to Sat 5:30am to 6:30pm');

lzCustomLable($wp_customize, 'contactus_Address_label', 'luzuk_premium_contactus_section', 'Address Map Setting');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'Luzuk')));

lzCustomLable($wp_customize, 'contactus_Add_color', 'luzuk_premium_contactus_section', 'Set Contact Colors');



//Contact box color
addColorPalatOption($wp_customize, 'luzuk_contactus_boxbgColor', 'luzuk_premium_contactus_section', 'Contact Box BG Color', '#0797ea');

//Contact Details icon color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailiconColor', 'luzuk_premium_contactus_section', 'Contact Icon Color', '#fff');

//Contact Details Email color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailColor', 'luzuk_premium_contactus_section', 'Contact Text Color', '#fff');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailhoverColor', 'luzuk_premium_contactus_section', 'Contact Details Email & Phone Number Hover Color', '#000');